function setup()
	room.addActor()
	actor.setIcon("icongate.png")
	actor.x = 3
	actor.y = 2
	actor.rot = 180
	actor.randomizePlacement = 0
	actor.addEvent("waypoint", 4)
	event.stackable = 1--happens along with other events
end